SoProfiler Class Reference
Scene Graph Profiling

Main static class for initializing the scene graph profiling subsystem. More...

`#include <Profiler/SoProfiler.h>`

## Static Public Member Functions

static void | init (void)
static void | enable (SbBool enable=TRUE)
static SbBool | isEnabled (void)
static SbBool | isOverlayActive (void)
static SbBool | isConsoleActive (void)

## Detailed Description

Main static class for initializing the scene graph profiling subsystem.

## Member Function Documentation

## init()

void SoProfiler::init | ( | void |  | ) |

static

Initializes the Coin scene graph profiling subsystem.

## enable()

void SoProfiler::enable | ( | SbBool | enable = TRUE | ) |

static

Enable/disable the profiling subsystem at runtime.

## isEnabled()

SbBool SoProfiler::isEnabled | ( | void |  | ) |

static

Returns whether profiling is enabled or not.

## isOverlayActive()

SbBool SoProfiler::isOverlayActive | ( | void |  | ) |

static

Returns whether profiling info is shown in an overlay fashion on the GL canvas or not.

## isConsoleActive()

SbBool SoProfiler::isConsoleActive | ( | void |  | ) |

static

Returns whether profiling info is shown on the console or not.

The documentation for this class was generated from the following files:

- SoProfiler.h
- SoProfiler.cpp